<?php

class Validator_Equal extends Validator
{
    /**
     * 指定項目が一致しているかのチェック
     *
     * @param   mixed   $attributes チェックする値(配列の場合あり)
     * @param   string  $errStr     エラー文字列
     * @param   array   $params     (使用しない)
     * @return  string  エラー文字列(エラーの場合)
     * @access  public
     * @since   3.0.0
     */
    function validate($attributes, $errStr, $params)
    {
		if (is_array($attributes))
		{
			for ($idx = 1; $idx < count($attributes); $idx++)
			{
				if ($attributes[$idx - 1] != $attributes[$idx])
				{
				    return $errStr;
				}
			}
		}
		else
		{
			return;
		}
	}
}
?>
